Bug 814899 - [abrt] bzflag-2.4.0-2.fc16: dying: Process /usr/bin/bzflag was killed by signal 11 (SIGSEGV)
[abrt] bzflag-2.4.0-2.fc16: dying: Process /usr/bin/bzflag was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bzflag (Show other bugs)
16
All All
low Severity medium
: ---
: ---
Assigned To: Jeff Makey
Fedora Extras Quality Assurance
abrt_hash:564d48def1d96f7a34d8c685fd3...
:
: 879208 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 01:06 EDT by Ted Henscheid
Modified: 2013-02-13 21:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:40:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.20 KB, text/plain)
2012-04-21 01:06 EDT, Ted Henscheid
no flags Details
File: maps (16.96 KB, text/plain)
2012-04-21 01:06 EDT, Ted Henscheid
no flags Details
File: backtrace (57.79 KB, text/plain)
2012-04-21 01:06 EDT, Ted Henscheid
no flags Details

  None (edit)
Description Ted Henscheid 2012-04-21 01:06:10 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/bzflag
crash_function: dying
executable:     /usr/bin/bzflag
kernel:         3.3.2-1.fc16.i686.PAE
pid:            9884
pwd:            /home/ted/Documents
reason:         Process /usr/bin/bzflag was killed by signal 11 (SIGSEGV)
time:           Fri 20 Apr 2012 08:32:08 PM MDT
uid:            1000
username:       ted
var_log_messages: Apr 20 20:32:12 mainserver abrt[10666]: Saved core dump of pid 9884 (/usr/bin/bzflag) to /var/spool/abrt/ccpp-2012-04-20-20:32:08-9884 (130355200 bytes)
xsession_errors: 

backtrace:      Text file, 59174 bytes
dso_list:       Text file, 6346 bytes
maps:           Text file, 17367 bytes

build_ids:
:9d63dc2ec7319f8f859631fe02b108b896da5450
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:c1ca29b1a7d20bcc6583f0ec22545987da6d1dfa
:6b914238846b690118bb0f82d39e3af485bccb24
:c9709ddabdb3cae4ffec0f9c3443693ef3a5a699
:34e334d78b2522119ec92bd2a5be2b82ab0fefe7
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:8981a35be6b02de75b5f1bcd5b0871ff85ba6eb1
:015461eb1dbf4f80b87a572a36090bc191d86534
:b3f516654cf0a09755f5850ba2cad9a5bf54e219
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:9b70a4428831d337076c018eac10c789b3646ff0
:8c98ece5c80cdb8ab2a6af85f226906f18e0a55d
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:d048ce8376de621536467a96c2b7ec30c019ecfd
:52cfde7a730826ca63e9d6de254413e8e20d6fc4
:8e2fe1ba45d5d2729d5e674802a89fe544b90668
:c70a93beea79ea4e97343221f891d92efa91295f
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:a3208ff574f7aea1c7138524d146fa87c1452075
:42859023e4ec83a16446984b1e0c7510a38731c4
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:3ee3697a82f7f1d540a3e2676ae9837363a79449
:19bce624dda8659f770012166d85bc075fb23f1a
:798697a352bae4178953ba502fb04f33dd0ed987
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:e077b0494bb95c3d696a1f87385e42909c29d071
:f055846ae1dce38dfe71285719abd42af2e483eb
:de17d4bf05b74ac6268229d7683f64bf59b83558
:df162ddf3492fe6e79c0c25f6ebcc011c586e91b
:9e5ca19357ce1dd40127b8415507238a71fded7b
:63e7ee8b3e95dbc7ff000fb3634fc929ef039351
:75dceabe44a2bc8e23945a7bc79959ced6d505dd
:917b19e34a4e653ea2f5151867bfb15e683a008d
:0c342398f4e2124d7f1912bfaa602d6f24c9eee3
:180d6b9c1f1ebd392547cba3ee72a3b34ec17177
:ed68180c17935c27bbad2b6a702074a17d90936f
:33cb6544467aec10745796257e69db36f4f6c28b
:cd24fce4fbc0a070919857b58898b4fe5c7e27ed
:0c42d41b807c8cf7bcfa07558b3c29014947986e
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:0351a659bc0812678c67f62af1f802a5f367befc
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:a22e8400580f0c2038fb5b3f44f30577d81bcd3d
:63dd827dee72af944147d4f6df04266e0765a7b7
:c3d627c5b04fcc804795649e5d2aa34d3fff3134
:8163f121b94883addbeb3dc331bfb34338aca566
:0d9a6c7d8343b15ce28d57d40e42301f57ef2258
:15bab279752ad8e30f901abae77bcb1ed1f38977
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:c650dfe2f7ead26f8e48c2433d71b5baf7b3a862
:dac209ec57fffb842b20e56fa8e6eb2eb43fee31
:0f783fc7e7c045fd08bc90cb9dd8535510728c03
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:03fc762a93c245815af1b085b3ee554d4511965a
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:0ad0e27ba07b1fa4a324e687ef6deea78f408db6
:faa844e460702359079f4f15f1f881e87777abb6
:fa3c052f0e9e6213338cf4bde3a9b9d13f9c5783
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:a93480b7802fb3c4a5a9dfb05b11349ddc72fa3c
:9dc4519ab8da5f43832d5b3ffb30e79f8ea5712f
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:333f04d80ad25c22c3d8c938f7318617ff063917
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:e42d500dc9e803be62453540b4c81a12e96a006a
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:4c32a6e4e4bf90b27a3516ac9e566e1d4190bc82
:444bcbd08ba2303caaa2f9f60b761ac83e22cf9e
:70ec0be07448920a83c0bceafed09d46008e56b1
:7335a56b34954e8481f5273101c9b9d9f70e6eda
:82674b49345364df4c158e8258b93fd4d8fdbae0
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:10cec21724c13b95ec03f00985b0405412817a49

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1774
:XDG_SESSION_ID=2
:HOSTNAME=mainserver.henscheid.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=63b22da0e543af00f565444c00000010-1334970826.799232-1073212514
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ted/.gtkrc-2.0:/home/ted/.gtkrc-2.0-kde4:/home/ted/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZEXpgK
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=ted
:SSH_AUTH_SOCK=/tmp/ssh-tOOkyMak1647/agent.1647
:USERNAME=ted
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/real/RealPlayer:/home/ted/.local/bin:/home/ted/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/ted
:QT_IM_MODULE=xim
:PWD=/home/ted
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1643
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/ted
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=ted
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-pHa4BzPDBn,guid=5914b7c2d2e8db58af69fb000000004b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ted
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/ted/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-ted/xauth-1000-_0
:CCACHE_HASHDIR=
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1856,unix/unix:/tmp/.ICE-unix/1856
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ted/.gtkrc:/home/ted/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=mainserver.henscheid.com;1334975506;497434;1867_TIME4755271

smolt_data:
:
:
:General
:=================================
:UUID: 06a32b56-aeed-41db-8dab-3966cc4a2445
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4784.41
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Xeon(TM) CPU 2.40GHz
:CPU Stepping: 5
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 4
:CPU Speed: 2399
:System Memory: 1003
:System Swap: 2015
:Vendor: Intel
:System:  
:Form factor: Rack Mount Chassis
:Kernel: 3.3.2-1.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9351:32902:13336) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #3
:(4098:18258:32902:13336) pci, None, VIDEO, Rage XL
:(32902:4649:32902:13336) pci, e100, ETHERNET, 82557/8/9/0/1 Ethernet Pro 100
:(32902:9347:32902:13336) pci, i801_smbus, SERIAL, 82801CA/CAM SMBus Controller
:(32902:5216:0:0) pci, None, PCI/PCI, 82870P2 P64H2 Hub PCI Bridge
:(32902:9355:32902:13336) pci, ata_piix, STORAGE, 82801CA Ultra ATA Storage Controller
:(32902:9344:0:0) pci, None, PCI/ISA, 82801CA LPC Interface Controller
:(32902:9542:32902:13336) pci, None, MISC, E7500/E7501 Hub Interface C RASUM Controller
:(32902:9541:0:0) pci, None, PCI/PCI, E7500/E7501 Hub Interface C PCI-to-PCI Bridge
:(32902:5217:32902:13336) pci, None, BASE, 82870P2 P64H2 I/OxAPIC
:(32902:5216:0:0) pci, None, PCI/PCI, 82870P2 P64H2 Hub PCI Bridge
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:5217:32902:13336) pci, None, BASE, 82870P2 P64H2 I/OxAPIC
:(17476:22:4163:19302) pci, ivtv, MULTIMEDIA_VIDEO, iTVC16 (CX23416) MPEG-2 Encoder
:(32902:9348:32902:13336) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #2
:(32902:9346:32902:13336) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #1
:(32902:9548:32902:13336) pci, e7xxx_edac, HOST/PCI, E7501 Memory Controller Hub
:(32902:9537:32902:13336) pci, None, MISC, E7500/E7501 Host RASUM Controller
:(4941:30864:4941:1) pci, None, SIMPLE, PCT789 adapter
:(32902:4110:32902:13336) pci, e1000, ETHERNET, 82540EM Gigabit Ethernet Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mainserver-lv_root / ext4 4096 4096 13081819 5872837 5217477 3276800 2622518 2622518
:/dev/sda2 /boot ext4 1024 1024 560746 224926 196715 140208 139959 139959
:/dev/sda1 WITHHELD fuseblk 4096 4096 102387199 98762676 98762676 395116240 395059834 395059834
:/dev/mapper/vg_mainserver-lv_home /home ext4 4096 4096 127896442 124311550 117909912 32014336 31873145 31873145
:
Comment 1 Ted Henscheid 2012-04-21 01:06:18 EDT
Created attachment 579149 [details]
File: dso_list
Comment 2 Ted Henscheid 2012-04-21 01:06:22 EDT
Created attachment 579150 [details]
File: maps
Comment 3 Ted Henscheid 2012-04-21 01:06:25 EDT
Created attachment 579151 [details]
File: backtrace
Comment 4 Jeff Makey 2012-04-23 13:09:28 EDT
This has been fixed in upstream revision 22472, which will be included in the BZFlag 2.4.2 release.  The segmentation violation is always due to dereferencing zero, so there should be no security vulnerability.

In the meantime, this problem can be avoided by not trying to add or remove favorites when the game server list is empty.
Comment 5 Jeff Makey 2012-11-22 09:40:02 EST
*** Bug 879208 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-01-16 20:11:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 21:40:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.